
# 
# $Header: link.mk.pp,v 6.8 90/10/17 13:19:05 pgreenwa Exp $ link.mk 
# 

#
# link.mk - Centralized makefile for linking Oracle products.
#
# Usage: make -f link.mk <product_name>
#
# If <product_name> is omitted all products that have been installed
# will be relinked. 
# If any of the network drivers such as tcp, async, .... are being installed
# all of the installed products will be relinked.
# If a product in the following $PRODUCTS list, is given as an argument to this 
# script, only that product will be relinked.
#

SHELL=/bin/sh
PRODUCTS=rdbms sqlplus forms loader report sqlreport menu menu50 oraterm \
	ada c cobol fortran pascal dict cgen cdes forms30 crt sqlcalc mail \
	sqltr
NET=net tcp async decnet netex

all: net 

$(NET):
	@make -i -f link.mk  link_prod "PROD=`awk -F: '{print $$2}' \
	$(ORACLE_HOME)/install/oracle.key | tr '\012' '\040'`"

$(PRODUCTS):
	@make -i -f link.mk link_prod "PROD= $@"

link_prod:
	@for i in $(PROD) ; do \
	   if [ -f $(ORACLE_HOME)/$$i/install/.$$i -a -f $(ORACLE_HOME)/$$i/lib/*.mk ] ; then \
		case $$i in \
		    sqlplus) echo ; \
			 nm $(ORACLE_HOME)/bin/sqlplus > /tmp/nm.$$i; \
			 if grep 'f frms30.o' /tmp/nm.$$i ; then \
			      echo "cd $(ORACLE_HOME)/$$i/lib; make installF30"; \
			      (cd $(ORACLE_HOME)/$$i/lib ; make -f *.mk installF30) ; \
			 elif grep 'f frms23.o' /tmp/nm.$$i; then \
			      echo "cd $(ORACLE_HOME)/$$i/lib; make installF23"; \
			      (cd $(ORACLE_HOME)/$$i/lib ; make -f *.mk installF23) ; \
			 else echo ; \
			      echo; echo "cd $(ORACLE_HOME)/$$i/lib; make install"; \
			      (cd $(ORACLE_HOME)/$$i/lib ; make -f *.mk install) ; \
			 fi; \
		    ;; \
		    *)   echo; echo "cd $(ORACLE_HOME)/$$i/lib; make install"; \
		         (cd $(ORACLE_HOME)/$$i/lib ; make -f *.mk install) ; \
                    ;; \
		esac ; \
		rm -rf /tmp/nm.$$i 2> /dev/null; \
	   fi ; \
	done

